/**
 * @class OSCLister
 *
 * Replies to requests with a list of the addresses in the namespace.
 */

#ifndef OSCLISTER_H
#define OSCLISTER_H

#include <iostream>

#include "OSCNamespace.h"
#include "OSCCallable.h"
#include "OSCPacker.h"
#include "OSCUnpacker.h"

class OSCLister : public OSCCallable
{
  private:
    OSCNamespace *mySpace;
  protected:
    OSCNamespace* getNamespace()      { return this->mySpace; }
  public:
    OSCLister()          { }
    virtual ~OSCLister() { }

    void setNamespace(OSCNamespace *space)  { this->mySpace = space; }

    void call(const std::string& data, Transmit *const replier);
};

#endif
