/**
 * @class Service
 *
 * this class is the services base class, which
 * is independent of the underlying transport system
 *
 * The handle() method should not block and should
 * do some small unit of work.  The Services are
 * designed to live in a single thread, so if one
 * does block other work will be suspended.
 *
 * @author  Daniel Holth
 * Created: 23 Jan. 2002
 * @author  Martin Rumori
 * Modified: 02/2003
 */

#ifndef LIBOSC_SERVICE_H
#define LIBOSC_SERVICE_H

class Service
{
public:
  /// destructor
  virtual ~Service () { }

  /** handle the service
   *
   *  \return true on success,
   *  false on error or when the Service is finished
   */
  virtual bool handle() = 0;

};

#endif // #ifndef LIBOSC_SERVICE_H
