// -*- Mode:C++ -*-

/**
 * @class ServiceManager
 *
 * This class is an interface to the
 * set of listening Service classes.
 *
 * A service can use this to spawn new
 * services.
 */

#ifndef LIBOSC_SERVICEMANAGER_H
#define LIBOSC_SERVICEMANAGER_H

class Service;

#include "Service.h"

class ServiceManager
{
public:
  virtual void addService(Service *service) = 0;

  virtual void delService(Service *service) = 0;
};

#endif // #ifndef LIBOSC_SERVICEMANAGER_H

