/* Open SoundControl kit in C++                                              */
/* Copyright (C) 2002 Daniel Holth, Clinton McChesney                        */
/*                                                                           */
/* This library is free software; you can redistribute it and/or             */
/* modify it under the terms of the GNU Lesser General Public                */
/* License as published by the Free Software Foundation; either              */
/* version 2.1 of the License, or (at your option) any later version.        */
/*                                                                           */
/* This library is distributed in the hope that it will be useful,           */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU         */
/* Lesser General Public License for more details.                           */
/*                                                                           */
/* You should have received a copy of the GNU Lesser General Public          */
/* License along with this library; if not, write to the Free Software       */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                           */
/* For questions regarding this program contact                              */
/* Daniel Holth <dholth@stetson.edu> or visit                                */
/* http://www.stetson.edu/~ProctoLogic/                                      */

/**
 * @class Unsubscriber
 *
 * Removes subscribers from output streams.
 *
 * @author Adam Rosenberg
 */

#ifndef OSC_UNSUBSCRIBER_H
#define OSC_UNSUBSCRIBER_H

#include "OSCCallable.h"
#include "Broadcaster.h"

class Unsubscriber : public OSCCallable
{
  private:
    Broadcaster *myBroadcaster;
  protected:    
  public:
    virtual void call(const std::string &data, Transmit *reply);

    void setBroadcaster(Broadcaster *bcast) { this->myBroadcaster = bcast;  }
    Broadcaster *getBroadcaster()           { return this->myBroadcaster;   }
};

#endif
