/**
 * @file c_callbacks.h
 *
 * Contains declarations for the old callbacks.
 * 
 * @author Daniel Holth
 * @author Clinton McChesney
 */

#ifndef C_CALLBACKS_H
#define C_CALLBACKS_H

#include "OSC-c-types.h"

#ifdef __cplusplus
extern "C" {
#endif
  
void BarCallback(void *context, 
                 int arglen, 
                 const void *args, 
                 OSCTimeTag when, 
                 NetworkReturnAddressPtr returnAddr);

void FarCallback(void *context, 
                 int arglen, 
                 const void *args,
                 OSCTimeTag when, 
                 NetworkReturnAddressPtr returnAddr);

void PlayCallback(void *context, 
                  int arglen, 
                  const void *args,
                  OSCTimeTag when, 
                  NetworkReturnAddressPtr returnAddr); 

void PlaySpeedCallback(void *context, 
                       int arglen, 
                       const void *args, 
                       OSCTimeTag when, 
                       NetworkReturnAddressPtr returnAddr);

void PlayPanVolumeSpeedCallback(void *context, 
                                int arglen,
                                const void *args, 
                                OSCTimeTag when,
                                NetworkReturnAddressPtr returnAddr);

#ifdef __cplusplus
}
#endif

#endif
